org.gcube.dataanalysis.dataminer.poolmanager.process

## Class AddAlgorithmCommand

- java.lang.Object
- - org.gcube.dataanalysis.dataminer.poolmanager.process.AddAlgorithmCommand

    public class AddAlgorithmCommand
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`AddAlgorithmCommand(String cmd)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getAlgorithmType()`
`String` `getCategory()`
`String` `getClazz()`
`String` `getCommand()`
`String` `getDescription()`
`String` `getName()`
`String` `getSkipjava()`
`String` `getUrl()`
`String` `getVRE()`
`void` `setDescription(String d)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AddAlgorithmCommand

    public AddAlgorithmCommand(String cmd)

### Method Detail

#### setDescription

    public void setDescription(String d)

#### getCommand

    public String getCommand()

#### getName

    public String getName()

#### getCategory

    public String getCategory()

#### getClazz

    public String getClazz()

#### getVRE

    public String getVRE()

#### getAlgorithmType

    public String getAlgorithmType()

#### getSkipjava

    public String getSkipjava()

#### getUrl

    public String getUrl()

#### getDescription

    public String getDescription()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`